#-------------------------------------------------------------------------
# Windows for Help menu
#-------------------------------------------------------------------------

proc aboutWindow {} { global about_tkscan
    if [winfo exists .about] return
    toplevel .about
    wm title .about "TkScan: About"
    label .about.l -text $about_tkscan
    button .about.b -width 8 -text OK -command "destroy .about"
    pack .about.l .about.b -side top
}

proc readmeWindow {} {global readme_tkscan l
    if [winfo exists .readme] return
    toplevel .readme
    wm title .readme "TkScan: README"
    frame .readme.b
    pack .readme.b -side top -fill x
    label .readme.b.1 -text "TkScan README" -width 15
    button .readme.b.2 -text Close -command {destroy .readme}
    pack .readme.b.1 .readme.b.2 -side left
    frame .readme.u
    pack .readme.u -side top -fill x
    text .readme.u.t -width 68 -height 20 -font $l(f1) \
                     -yscrollcommand ".readme.u.s set"
    pack .readme.u.t -side left
    scrollbar .readme.u.s -command ".readme.u.t yview" -orient vertical
    pack .readme.u.s -side right -fill y
    .readme.u.t insert end $readme_tkscan
}

proc usageWindow {} {global usage_tkscan l
    if [winfo exists .usage] return
    toplevel .usage
    wm title .usage "TkScan: Guide"
    frame .usage.b
    pack .usage.b -side top -fill x
    label .usage.b.1 -text "TkScan Guide" -width 15
    button .usage.b.2 -text Close -command {destroy .usage}
    pack .usage.b.1 .usage.b.2 -side left
    frame .usage.u
    pack .usage.u -side top -fill x
    text .usage.u.t -width 68 -height 20 -font $l(f1) \
         -yscrollcommand ".usage.u.s set"
    pack .usage.u.t -side left
    scrollbar .usage.u.s -command ".usage.u.t yview" -orient vertical
    pack .usage.u.s -side right -fill y
    .usage.u.t insert end $usage_tkscan
}

